Name:           python-hiredis
Version:        3.1.0
Release:        %mkrel 2
Summary:        Python wrapper for hiredis
Group:          Development/Python

License:        BSD
URL:            https://github.com/redis/hiredis-py
Source:         %{pypi_source hiredis}

BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(hiredis)
BuildRequires:  gcc

%global _description %{expand:
Python extension that wraps protocol parsing code in hiredis. It primarily
speeds up parsing of multi bulk replies.}

%description %_description

%package -n     python3-hiredis
Summary:        %{summary}

%description -n python3-hiredis %_description


%prep
%autosetup -p1 -n hiredis-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files hiredis


%check
%pyproject_check_import
%tox


%files -n python3-hiredis -f %{pyproject_files}



%changelog
* Sun Jul 06 2025 umeabot <umeabot> 3.1.0-2.mga10
+ Revision: 2247761
- Mageia 10 Mass Rebuild

* Fri Mar 14 2025 papoteur <papoteur> 3.1.0-1.mga10
+ Revision: 2163865
- new version 3.1.0

* Sat Mar 01 2025 wally <wally> 3.0.0-2.mga10
+ Revision: 2155079
- rebuild for python3.13

* Thu Dec 19 2024 papoteur <papoteur> 3.0.0-1.mga10
+ Revision: 2126256
- new version 3.0.0

* Fri Mar 29 2024 daviddavid <daviddavid> 2.3.2-2.mga10
+ Revision: 2053069
- rebuild for new hiredis 1.2.0

* Wed Mar 06 2024 papoteur <papoteur> 2.3.2-1.mga10
+ Revision: 2047887
- imported package python-hiredis

